/*
 *    Copyright 2014-2023 IHE International
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

/**
 * SideType.java
 *
 * File generated from the ATNAQuestionnaire::SideType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.atna.questionnaire.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * Description of the enumeration SideType.
 *
 */

@XmlType(name = "SideType")
@XmlEnum
@XmlRootElement(name = "SideType")
public enum SideType {
	@XmlEnumValue("CLIENT")
	CLIENT("CLIENT"),
	@XmlEnumValue("SERVER")
	SERVER("SERVER");

	private final String value;

	SideType(String v) {
		value = v;
	}

	public String value() {
		return value;
	}

	public String getValue() {
		return value;
	}

	public static SideType fromValue(String v) {
		for (SideType c : SideType.values()) {
			if (c.value.equals(v)) {
				return c;
			}
		}
		throw new IllegalArgumentException(v);
	}

    public static SideType fromInOut(InOut networkCommunicationDirection) {
        return networkCommunicationDirection == InOut.IN ? SideType.SERVER : SideType.CLIENT;
    }

}